{% extends 'profile/layouts/admin/admin_layout.html' %}

{% block css %}
    <style>
        div#halaman-content > p > img{
            max-width: 100% !important;
            height: auto  !important;
        }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_setting_destinasi' %}">Destinasi Wisata</a></li>
            <li class="breadcrumb-item active" aria-current="page">Detail</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <div class="text-right pt-3">
            <a href="{% url 'profile:admin_setting_edit_destinasi' halaman.id %}"> 
                <button type="button" class="btn btn-info my-2"><i class="bi bi-pencil"></i> Edit</button>
            </a>
    </div>

    {% if halaman %}
        <input type="hidden" id="halaman-slug" value="{{ halaman.id }}">
        <div class="py-3 mb-5">
            <div class="card">
                <h5 class="card-header"><strong style="color:#2c9aaa;">{{ halaman.nama }}</strong></h5>
                <div class="card-body">
                    <div id="halaman-content">
                        <h5><strong style="color:#2c9aaa;">Deskripsi</strong></h5>
                        {{ halaman.deskripsi | safe }} 
                        <br>
                        <h5><strong style="color:#2c9aaa;">Paket Wisata</strong></h5>
                        {{halaman.paket.judul}}
                    </div>
                </div>
                <div class="card-footer">
                    <h5><strong style="color:#2c9aaa;">Images</strong></h5>
                    <br>
                    {% for x in foto %}
                        <img src="{{x.images.url}}" class="img-fluid" style="width: 100px; height: 100px;" alt="">
                    {% endfor %}
                </div>
            </div>
        </div>
    {% else %}
        <h1>HALAMAN TIDAK DITEMUKAN</h1>
    {% endif %}

{% endblock main %}

{% if halaman.nama %}
    {% block scripts_bawah %}
        <script>
            function restore_(nama, slug){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/news/restore/${slug}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Berita berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/news/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Berita gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, slug){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah anda yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/news/${action}/${slug}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Berita berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/news/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Berita gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
        </script>
    {% endblock scripts_bawah %}
{% endif %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}